;Ports setzen

;Ausgangs - und Eingangs-Ports setzen

set_ports:
	push	temp1
	ldi 	temp1,0b11111111		;Register setzen (fr Richtung der Pins)
									;Ausgang=1 / Eingang=0
	out 	DDRB,temp1				;Register an Pins bertragen
	ldi 	temp1,0b00000000		;Register setzen (fr Daten am Port)
									;Wenn Pin Ausgang ist: 1=Hi / 0=Lo
									;Wenn Pin Eingang ist: 1=Pullup nach Hi / 0=kein Pullup (Eingang nicht definiert)
	out 	PortB,temp1				;Register an Pins bertragen
	pop		temp1
	ret

set_tasten:
;Nun werden die internen Pull-Up-Widerstnde fr die Tasten eingeschaltet
	sbi tap+2,t1               	;PullUp fr Taste 1 aktivieren
	sbi tap+2,t2               	;PullUp fr Taste 2 aktivieren
	sbi tap+2,t3               	;PullUp fr Taste 3 aktivieren
	sbi tap+2,t4               	;PullUp fr Taste 4 aktivieren
	ret
