; LCD-Menu fr Displayausgabe

Menu_Status:
	ldi		YL,LOW(Disp_Stat)
	ldi		YH,HIGH(Disp_Stat)
	ld		temp2,Y
	ldd		temp1,Y+1
	ret

;	sbr 	tfl,1<<busy            			;Busy-Flag setzen, da Umschaltung luft

Menu_Change:
	push	temp1
	push	temp2
	in		srsk,sreg
	push	srsk

	call	menu_Status

	cpi		temp2,Max_Seite
	breq	Menu_Change0
	jmp		Menu_Change1
Menu_Change0:
	ldi		temp2,0
	st		Y,temp2
	jmp		Menu_Seite
Menu_Change1:
	subi	temp2,-1
	st		Y,temp2

Menu_Seite:
	cp		temp2,temp1
	breq	Menu_laden_ende
	std		Y+1,temp2
	cpi		temp2,0
	breq	Seite0
	cpi		temp2,1
	breq	Seite1
	cpi		temp2,2					;
	breq	Seite2
;	cpi		temp2,3					;
;	breq	Seite3
;	cpi		temp2,4					;
;	breq	Seite4
;	sbrc	temp1,Display
;	jmp		Seite1
;	jmp		Seite2

Menu_laden:

Seite0:
	call	lcd_clear
	ldi		temp1,zeile1-2
	call	lcd_command
	ldi		temp1,'0'
	call	lcd_data
	ldi		temp2,16
	ldi 	ZL, LOW(Startbildschirm*2)         	; Adresse des Strings in den
   	ldi 	ZH, HIGH(Startbildschirm*2)     	; Z-Pointer laden
	call 	lcd_flash_string      				; Unterprogramm gibt String aus der
					            				; durch den Z-Pointer adressiert wird
;	call	lcd_uhr
	jmp		Menu_laden_ende

Seite1:
	call	lcd_clear
	ldi		temp1,zeile1-2
	call	lcd_command
	ldi		temp1,'1'
	call	lcd_data
	ldi		Ch,0
	jmp		Seite_los

Seite2:
	call	lcd_clear
	ldi		temp1,zeile1-2
	call	lcd_command
	ldi		temp1,'2'
	call	lcd_data
	ldi		Ch,4
	jmp		Seite_los


Seite_los:
	ldi		temp1,zeile1
	call	Zeile_Write
	ldi		temp1,zeile2
	call	Zeile_Write
	ldi		temp1,zeile3
	call	Zeile_Write
	ldi		temp1,zeile4
	call	Zeile_Write
	jmp		Menu_laden_ende

Menu_laden_ende:
;	cbr		tfl,1<<busy            		;Busy-Flag lschen, da Displayumschaltung beendet ist
	pop		srsk
	out		sreg,srsk
	pop		temp2
	pop		temp1
	ret

;++++++++++++++++++++++++++++++++++++++++++++ Temperaturen auf den Menuseiten aktualisieren
Temp_akt:
	push	temp1
	push	temp2
	in		srsk,sreg
	push	srsk	

	call	LCD_Home
	call	Menu_Status

	cpi		temp2,0
	breq	Temp_akt_ende
	cpi		temp2,1
	breq	Temp_akt_1
	cpi		temp2,2
	breq	Temp_akt_2
	jmp		Temp_akt_ende

Temp_akt_1:	
	ldi		Ch,0
	jmp		Temp_akt_los
Temp_akt_2:
	ldi		Ch,4
	jmp		Temp_akt_los

Temp_akt_los:
	ldi		temp1,zeile1+ist
	call	Temp_write	
	ldi		temp1,zeile2+ist
	call	Temp_write
	ldi		temp1,zeile3+ist
	call	Temp_write
	ldi		temp1,zeile4+ist
	call	temp_write

Temp_akt_ende:
;	cbr		tfl,1<<busy            		;Busy-Flag lschen, da Displayumschaltung beendet ist
	pop		srsk
	out		sreg,srsk
	pop		temp2
	pop		temp1
	ret

;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Zeile_write:					;Unterroutine zum ausgeben des Namen
	call	lcd_command	
	call	Channel_set
	ldi		temp2,14
	call	Call_SRAM_String_to_LCD
	inc		Ch
	ret

Temp_write:						;Unterroutine zum ausgeben der temperatur
	call	lcd_command
	call	Channel_set
	adiw	Y,ist
	ldi		temp2,5
	call	Call_SRAM_String_to_LCD
	inc		Ch
	ret


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

LCD_Uhr:
	pop		temp1
	pop		temp2
	in		srsk,sreg
	pop		srsk

	call	Menu_Status

	cpi		temp2,0
	brne	lcd_uhr_ende

	ldi		temp1,zeile4+2
	call	lcd_command
		clr		temp1
        mov     temp1, Stunden      ; und die Stunden ausgeben
        call   lcd_Uhr_Ziffern
        ldi     temp1, ':'          ; zwischen Stunden und Minuten einen ':'
        call   lcd_data
        mov     temp1, Minuten      ; dann die Minuten ausgeben
        call   lcd_Uhr_Ziffern
        ldi     temp1, ':'          ; und noch ein ':'
        call   lcd_data
        mov     temp1, Sekunden     ; und die Sekunden
        call   lcd_Uhr_Ziffern
		clr		temp1
lcd_uhr_ende:
	
	pop		srsk
	out		sreg,srsk
	pop		temp2
	pop		temp1
	ret



